# Method: projects.locations.channels.events.list

- [HTTP request](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.request_body)
- [Response body](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.ListEventsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.aspect_1)

Returns a list of all events in the specified channel.

### HTTP request

`GET https://livestream.googleapis.com/v1/{parent=projects/*/locations/*/channels/*}/events`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent channel for the resource, in the form of: `projects/{project}/locations/{location}/channels/{channelId}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. If unspecified, server will pick an appropriate default. Server may return fewer items than requested. A caller should only rely on response's `https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/list#body.ListEventsResponse.FIELDS.next_page_token` to determine if there are more items left to be queried. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `filter` | `string` The filter to apply to list results. |
| `orderBy` | `string` Specifies the ordering of results following syntax at <https://cloud.google.com/apis/design/design_patterns#sorting_order>. |

### Request body

The request body must be empty.

### Response body

Response message for "LivestreamService.ListEvents".

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "events": [ { object (`https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events#Event`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `events[]` | ``object (`https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events#Event`)`` A list of events. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `livestream.events.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).